Summary: texinfo formatter and info reader
Name: texinfo
Version: 3.12
Release: 1
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://prep.ai.mit.edu/pub/gnu/texinfo-3.12.tar.gz
Source1: info-dir
Source2: info.wmconfig
Patch0: texinfo-3.9-gzipnames.patch
Prereq: /sbin/install-info
BuildRoot: /var/tmp/texinfo-root

%changelog
* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 3.12
- added buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- patched install-info.c for glibc.
- added /usr/bin/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
- upgraded to version 3.9.

%description
The GNU project uses the texinfo file format for much of its documentation. 
This package includes the tools necessary to create .info files from .texinfo 
source files, as well as an emacs interface to all these tools.

%package -n info
Summary: standalone tty based reader for GNU texinfo documents
Group: Utilities/System
%description -n info
The GNU project uses the texinfo file format for much of its documentation. 
This package includes a standalone browser program to view these files.

%prep
%setup
%patch0 -p1
touch po/texinfo.pot

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,sbin}
make install prefix=$RPM_BUILD_ROOT/usr
gzip -n -9f $RPM_BUILD_ROOT/usr/info/*info*
install -m644 $RPM_SOURCE_DIR/info-dir $RPM_BUILD_ROOT/etc/info-dir
ln -sf ../../etc/info-dir $RPM_BUILD_ROOT/usr/info/dir
for i in makeinfo texindex info install-info ; do
    strip $RPM_BUILD_ROOT/usr/bin/$i
done
mv -f $RPM_BUILD_ROOT/usr/bin/install-info $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -o root -g root -m644 $RPM_SOURCE_DIR/info.wmconfig \
    $RPM_BUILD_ROOT/etc/X11/wmconfig/info

%post
/sbin/install-info /usr/info/texinfo.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/texinfo.gz /usr/info/dir
fi

%files
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc info/README
/usr/bin/makeinfo
/usr/bin/texindex
/usr/bin/texi2dvi
/usr/info/info-stnd.info*
/usr/info/texinfo*
/usr/share/locale/*/*/*

%files -n info
%config(missingok) /etc/X11/wmconfig/info
%config /etc/info-dir
%config /usr/info/dir
/usr/bin/info
/usr/info/info.info*
/sbin/install-info
